scala.io

# AnsiColor

#### object AnsiColor extends AnsiColor

Source
  AnsiColor.scala

Linear Supertypes
AnsiColor, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnsiColor
2. AnsiColor
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val BLACK: String("\033[30m")

   Foreground color for ANSI black

   Foreground color for ANSI black

   Definition Classes
     AnsiColor

5. #### final val BLACK_B: String("\033[40m")

   Background color for ANSI black

   Background color for ANSI black

   Definition Classes
     AnsiColor

6. #### final val BLINK: String("\033[5m")

   ANSI blink

   ANSI blink

   Definition Classes
     AnsiColor

7. #### final val BLUE: String("\033[34m")

   Foreground color for ANSI blue

   Foreground color for ANSI blue

   Definition Classes
     AnsiColor

8. #### final val BLUE_B: String("\033[44m")

   Background color for ANSI blue

   Background color for ANSI blue

   Definition Classes
     AnsiColor

9. #### final val BOLD: String("\033[1m")

   ANSI bold

   ANSI bold

   Definition Classes
     AnsiColor

10. #### final val CYAN: String("\033[36m")

    Foreground color for ANSI cyan

    Foreground color for ANSI cyan

    Definition Classes
      AnsiColor

11. #### final val CYAN_B: String("\033[46m")

    Background color for ANSI cyan

    Background color for ANSI cyan

    Definition Classes
      AnsiColor

12. #### final val GREEN: String("\033[32m")

    Foreground color for ANSI green

    Foreground color for ANSI green

    Definition Classes
      AnsiColor

13. #### final val GREEN_B: String("\033[42m")

    Background color for ANSI green

    Background color for ANSI green

    Definition Classes
      AnsiColor

14. #### final val INVISIBLE: String("\033[8m")

    ANSI invisible

    ANSI invisible

    Definition Classes
      AnsiColor

15. #### final val MAGENTA: String("\033[35m")

    Foreground color for ANSI magenta

    Foreground color for ANSI magenta

    Definition Classes
      AnsiColor

16. #### final val MAGENTA_B: String("\033[45m")

    Background color for ANSI magenta

    Background color for ANSI magenta

    Definition Classes
      AnsiColor

17. #### final val RED: String("\033[31m")

    Foreground color for ANSI red

    Foreground color for ANSI red

    Definition Classes
      AnsiColor

18. #### final val RED_B: String("\033[41m")

    Background color for ANSI red

    Background color for ANSI red

    Definition Classes
      AnsiColor

19. #### final val RESET: String("\033[0m")

    Reset ANSI styles

    Reset ANSI styles

    Definition Classes
      AnsiColor

20. #### final val REVERSED: String("\033[7m")

    ANSI reversed

    ANSI reversed

    Definition Classes
      AnsiColor

21. #### final val UNDERLINED: String("\033[4m")

    ANSI underlines

    ANSI underlines

    Definition Classes
      AnsiColor

22. #### final val WHITE: String("\033[37m")

    Foreground color for ANSI white

    Foreground color for ANSI white

    Definition Classes
      AnsiColor

23. #### final val WHITE_B: String("\033[47m")

    Background color for ANSI white

    Background color for ANSI white

    Definition Classes
      AnsiColor

24. #### final val YELLOW: String("\033[33m")

    Foreground color for ANSI yellow

    Foreground color for ANSI yellow

    Definition Classes
      AnsiColor

25. #### final val YELLOW_B: String("\033[43m")

    Background color for ANSI yellow

    Background color for ANSI yellow

    Definition Classes
      AnsiColor

26. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

27. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

30. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

31. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

32. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnsiColor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped